--The IEEE standard 1164 package, declares std_logic, rising_edge(), etc.
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;
use IEEE.std_logic_unsigned.all;

entity LedBlinker is
    port (
        Clock: in STD_LOGIC;
        Led: out STD_LOGIC
    );
end LedBlinker;

architecture LedBlinker_arch of LedBlinker is
signal counter: STD_LOGIC_VECTOR(0 to 5);
begin
	process(clock)
	begin
	  if clock'event and clock='1' then
	  	counter<=counter+"1";
	  end if;
  end process;
  led<=counter(0);
end LedBlinker_arch;
