library IEEE;
use IEEE.std_logic_1164.all;
--The IEEE standard 1164 package, declares std_logic, rising_edge(), etc.
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;
use IEEE.std_logic_unsigned.all;

entity ycount is
    port (
        Clk: in STD_LOGIC;
        Reset: in STD_LOGIC;        
        Ypos: buffer STD_LOGIC_VECTOR (0 to 6)
    );
end ycount;

--Counter voor de Y-positie. Redelijk straightforward.
architecture ycount_arch of ycount is
begin
  process(Clk)
  begin
		if Clk'event and Clk='1' then
  		if Reset='0' then
  			if Ypos="1100111" then    --103
  				Ypos<="0000000";
  			else
  				Ypos<=Ypos+"0000001";
  			end if;
  		else
  			Ypos<="0000000";
  		end if;
  	end if;
  end process;
end ycount_arch;


