//Veelsteveel includes
#include "gdhelp.h"
#include "gd.h"
#include "gdfontt.h"
#include "gdfonts.h"
#include "gdfontmb.h"
#include "gdfontl.h"
#include "gdfontg.h"

void BlitImage(gdImagePtr toimg, char* filename, int x, int y) {
    FILE *plaatje;
    gdImagePtr fromimg;
    printf("Loading image %s\n",filename);
    plaatje=fopen(filename,"r");
    fromimg=gdImageCreateFromPng(plaatje);
    gdImageCopy(toimg, fromimg, x, y, 0, 0, fromimg->sx, fromimg->sy);
    gdImageDestroy(fromimg);
    fclose(plaatje);
}

void DrawText(gdImagePtr img, char* txt, int x, int y, int w, int h) {
    int p=0;
    int startx;
    int starty;
    int color=0;
    gdFontPtr font=gdFontSmall;
    startx=x;
    starty=y;
    while (txt[p]!=0 && y<starty+h) {
        if (txt[p]=='%') {
	    p++;
	    if (txt[p]=='f') { //Change font
		p++;
		if (txt[p]=='1') font=gdFontTiny;
		if (txt[p]=='2') font=gdFontSmall;
		if (txt[p]=='3') font=gdFontMediumBold;
		if (txt[p]=='4') font=gdFontLarge;
		if (txt[p]=='5') font=gdFontGiant;
		p++;
	    }
	} else {
	    gdImageChar(img, font, x, y, txt[p], color);
	    x+=font->w;
	    if (x > startx+w || txt[p+1]=='\n' ) {
		x=startx;
		y=y+font->h;
	    }
	    if (txt[p+1]=='\n') p++;
	    p++;
	}
    }
}
