#ifndef LCD_INC
#define LCD_INC

#define STROBE	PARPORT_CONTROL_STROBE
#define A0	PARPORT_CONTROL_INIT
#define A1	PARPORT_CONTROL_SELECT
#define INVMSK  PARPORT_CONTROL_SELECT + PARPORT_CONTROL_STROBE

#define WAITTIME 1500

void waitport();
void LcdSendByte(int pport, unsigned char data);
void LcdSendAddress(int pport, unsigned int addr);
void UploadConfig(int pport, char* mcsfile);
void LcdLoadPic(int pport, gdImagePtr img);
void LcdClose(int pport);
int LcdOpen(char* filename, char* fw);

#endif
