library IEEE;
use IEEE.std_logic_1164.all;

entity syncer is
    port (
        Xpos: in STD_LOGIC_VECTOR (0 to 7);
        Ypos: in STD_LOGIC_VECTOR (0 to 6);
        Cl1: out STD_LOGIC;
        Din: buffer STD_LOGIC;
				M: buffer STD_LOGIC    
        );
end syncer;

--Sync-signaal-generator. Genereert sync-lijntjes uit de X- en Y-counterposities.
architecture syncer_arch of syncer is
begin
	M<='0'; --Wordt al op de chip zelf geregeld
  with Xpos select
  Cl1<= '0' when "00000001",
   			'1' when others;
  with Ypos select
  Din<= '1' when "0000001",
  			'0' when others;
end syncer_arch;
